summaryrefslogtreecommitdiff
path: root/tests/misc/split-fail
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/split-fail')
-rwxr-xr-xtests/misc/split-fail8
1 files changed, 7 insertions, 1 deletions
diff --git a/tests/misc/split-fail b/tests/misc/split-fail
index 70435b453..8cdfe6478 100755
--- a/tests/misc/split-fail
+++ b/tests/misc/split-fail
@@ -1,7 +1,7 @@
#!/bin/sh
# split must fail when given length/count of zero.
-# Copyright (C) 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2003, 2004, 2005, 2006, 2007 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -47,6 +47,12 @@ split -b 0 in 2> /dev/null && fail=1
split -C 0 in 2> /dev/null && fail=1
split -l 0 in 2> /dev/null && fail=1
+# Make sure -C doesn't create empty files.
+rm -f x?? || fail=1
+echo x | split -C 1 || fail=1
+test -f xaa && test -f xab || fail=1
+test -f xac && fail=1
+
# Make sure that the obsolete -N notation still works
split -1 in 2> /dev/null || fail=1